### Method

# Gtk MediaStreamset_volume

#### Declaration [src]

    void
    gtk_media_stream_set_volume (
      GtkMediaStream* self,
      double volume
    )

#### Description [src]

Sets the volume of the audio stream.

This function call will work even if the stream is muted.

The given `volume` should range from 0.0 for silence to 1.0 for as loud as possible. Values outside of this range will be clamped to the nearest value.

If the stream has no audio or is muted, calling this function will still work but it will not have an immediate audible effect. When the stream is unmuted, the new volume setting will take effect.

Sets property | `Gtk.MediaStream:volume`

#### Parameters

`volume`

  Type: `double`

  New volume of the stream from 0.0 to 1.0